class pe_console::cas_client (
  $config_file    = '/etc/puppetlabs/console-auth/cas_client_config.yml',
  $cas_port       = undef,
  $cas_host       = undef,
  $session_secret = undef,
  $session_key    = 'puppet_enterprise_console',
) {
  include pe_httpd

  Yaml_setting {
    target => $config_file,
    notify => Service['pe-httpd'],
  }

  file { '/var/log/pe-console-auth/cas_client.log':
    ensure => file,
    owner  => 'pe-auth',
    group  => 'puppet-dashboard',
    mode   => '0660',
  }

  if $cas_port {
    yaml_setting { 'pe_console-cas_client-cas_port':
      key   => 'authentication/cas_port',
      type  => 'integer',
      value => $cas_port,
    }
  }

  if $cas_host {
    yaml_setting { 'pe_console-cas_client-cas_host':
      key   => 'authentication/cas_host',
      value => "${cas_host}:${cas_port}",
    }
  }

  if $session_secret {
    yaml_setting { 'pe_console-cas_client-session_secret':
      key   => 'authentication/session_secret',
      value => $session_secret,
    }
  }

  if $session_key {
    yaml_setting { 'pe_console-cas_client-session_key':
      key   => 'authentication/session_key',
      value => $session_key,
    }
  }

}
