class pe_console::console_auth::config (
  $console_host,
  $smtp_host,
  $smtp_port,
  $smtp_username,
  $smtp_password,
) {
  include pe_httpd
  include pe_console::common

  Yaml_setting {
    target  => '/etc/puppetlabs/console-auth/config.yml',
    notify  => Service['pe-httpd'],
    require => File['/etc/puppetlabs/console-auth/config.yml'],
  }

  yaml_setting { 'pe_console-auth-config-smtp_host':
    key   => 'smtp/address',
    value => $smtp_host,
  }
  yaml_setting { 'pe_console-auth-config-smtp_port':
    key   => 'smtp/port',
    type  => 'integer',
    value => $smtp_port,
  }

  if $smtp_password {
    yaml_setting { 'pe_console-auth-config-smtp_username':
      nodisplay => true,
      key       => 'smtp/username',
      value     => $smtp_username,
    }
  }
  if $smtp_username {
    yaml_setting { 'pe_console-auth-config-smtp_password':
      key   => 'smtp/username',
      value => $smtp_password,
    }
  }
  if $console_host {
    yaml_setting { 'pe_console-auth-config-authentication_hostname':
      key   => 'authentication/console_hostname',
      value => $console_host,
    }
  }

}
