define pe_console::db::conditional_db_user_grant (
  $database,
  $username,
  $password,
  $host = '%'
) {

  if ! defined(Database[$database]) {
    database { $database:
      ensure   => 'present',
      charset  => 'utf8',
      provider => 'mysql',
      require  => [
        Class['mysql::server'],
        Class['mysql::config'],
      ],
    }
  }
  if ! defined(Database_user["${username}@${host}"]) {
    database_user { "${username}@${host}":
      ensure        => $ensure,
      password_hash => mysql_password($password),
      provider      => 'mysql',
      require       => Database[$database],
    }
  }
  if ! defined(Database_grant["${username}@${host}/${database}"]) {
    database_grant { "${username}@${host}/${database}":
      privileges => 'all',
      provider   => 'mysql',
      require    => Database_user["${username}@${host}"],
    }
  }

}
